[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RTLEventWaitFor

Wait for an event.

## Declaration

Source position: threadh.inc line 182

`procedure RTLEventWaitFor(`
`state: PRTLEvent`
`); procedure RTLEventWaitFor(`
`state: PRTLEvent;`
`timeout: LongInt`
`);`

## Description

RTLeventWaitFor suspends the thread till the event occurs. The event will occur when another thread calls RTLEventSetEvent on State.

By default, the thread will be suspended indefinitely. However, if TimeOut is specified, then the thread will resume after timeout milliseconds have elapsed.

## See also

RTLEventCreate |  | Create a new RTL event
RTLEventDestroy |  | Destroy a RTL Event
RTLEventSetEvent |  | Notify threads of the event.
RTLEventWaitFor |  | Wait for an event.